import React from "react";
import { CustomChartProps } from "./CustomChart";
declare type KpiChartProps = {
    customChartProps: CustomChartProps;
};
export declare type kPIComparisonSettingsProps = {
    PeriodFieldId: string | null;
    PeriodDateFilter: {
        FieldValue: string | null;
        FieldValue2: string | null;
        DatePickerTextFieldValue: string | null;
        DateTimeValueCode: string;
        DateGroupCode: string | null;
        Operator: string | null;
    };
    ComparePeriodDateFilter: {
        FieldValue: string | null;
        FieldValue2: string | null;
        DatePickerTextFieldValue: string | null;
        DateTimeValueCode: string;
        DateGroupCode: string | null;
        Operator: string | null;
    };
    ComparisonPeriodType: string | null;
    ComparisonIndicator: boolean;
    ComparisonIncrease: string | null;
};
declare const KpiChart: (props: KpiChartProps) => React.JSX.Element;
export default KpiChart;
